package com.xkrs.controller;

import com.xkrs.dao.CameraDao;
import com.xkrs.dao.DeviceManagementDao;
import com.xkrs.model.entity.CameraInformation;
import com.xkrs.model.entity.DeviceManagement;
import com.xkrs.service.CameraService;
import com.xkrs.service.FireService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/3 11:56
 */
@RestController
public class CameraController {
    @Resource
    private CameraService cameraService;

    @Resource
    private CameraDao cameraDao;

    @Resource
    private DeviceManagementDao deviceManagementDao;

    @GetMapping("/getCameraInformation")
    public List<CameraInformation> getCameraInformation(){

        return  cameraService.SelectCameraAll();
    }

    @GetMapping("/insertCameraInformation")
    public boolean insertCameraInformation(CameraInformation cameraInformation){
    try {
        cameraService.InsertCamera(cameraInformation);
        return  true;
    }
    catch (Exception e){
        return  false;

    }
    }

    @GetMapping("/SelectDeviceManagement")
    public  List<DeviceManagement> SelectDeviceManagement()
    {
        return  cameraService.SelectDevice();

    }
}
